Subject: Re: [PATCH net-next v6 7/7] bonding: Selftest and documentation for the arp_ip_target parameter.

From: Simon Horman <[email-masked]>
Date: Sun, 20 Jul 2025 11:37:52 +0100

On Fri, Jul 18, 2025 at 02:23:43PM -0700, David Wilder wrote:
> This selftest provided a functional test for the arp_ip_target parameter
> both with and without user supplied vlan tags.
> 
> and
> 
> Updates to the bonding documentation.
> 
> Signed-off-by: David Wilder <[email-masked]>
> ---
>  Documentation/networking/bonding.rst          |  11 ++
>  .../selftests/drivers/net/bonding/Makefile    |   3 +-
>  .../drivers/net/bonding/bond-arp-ip-target.sh | 178 ++++++++++++++++++

Hi David,

Recently we have started running shellcheck as part of our CI for Networking.

Excluding SC2317, which flagges code as unreachable due to
the structure of many sleftests, including this one, I think it is trivial
to make bond-arp-ip-target.sh selftest-clean.

As I see there will be a v7 anyway, could you take a look at doing so?

  $ shellcheck -e SC2317 ./tools/testing/selftests/drivers/net/bonding/bond-arp-ip-target.sh
  
  In ./tools/testing/selftests/drivers/net/bonding/bond-arp-ip-target.sh line 133:
                  if [ $RET -ne 0 ]; then
                       ^--^ SC2086 (info): Double quote to prevent globbing and word splitting.
  
  Did you mean: 
                  if [ "$RET" -ne 0 ]; then

  In ./tools/testing/selftests/drivers/net/bonding/bond-arp-ip-target.sh line 160:
                  if [ $RET -ne 0 ]; then
                       ^--^ SC2086 (info): Double quote to prevent globbing and word splitting.
  
  Did you mean: 
                  if [ "$RET" -ne 0 ]; then
  
  For more information:
    https://www.shellcheck.net/wiki/SC2086 -- Double quote to prevent globbing ...

And sorry for not flagging this earlier.
For some reason it seemed less clear to me the last time I checked.